%bcond_without tests

%global srcname faker

Summary: Faker is a Python package that generates fake data for you
Name: python-%{srcname}
Version: 18.11.1
Release: 2%{?dist}
License: MIT
URL: https://faker.readthedocs.io
Source: https://github.com/joke2k/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz
BuildArch: noarch
BuildRequires: python3-devel
BuildRequires: python3-setuptools
%if %{with tests}
BuildRequires: python3-pytest
BuildRequires: python3-dateutil
BuildRequires: python3-freezegun
BuildRequires: python3-pillow
%endif

%description
Faker is a Python package that generates fake data for you. Whether
you need to bootstrap your database, create good-looking XML documents,
fill-in your persistence to stress test it, or anonymize data taken
from a production service, Faker is for you.

%package -n python3-%{srcname}
Summary: %{summary}
Suggests: %{name}-doc = %{version}-%{release}

%description -n python3-%{srcname}
Faker is a Python package that generates fake data for you. Whether
you need to bootstrap your database, create good-looking XML documents,
fill-in your persistence to stress test it, or anonymize data taken from
a production service, Faker is for you.


%package doc
Summary: Documentation for %{name}

%description doc
This package provides docs for python-%{srcname}.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%if %{with tests}
%check
# bypass requires to validators and random2
%pytest \
    --ignore=tests/providers/test_internet.py \
    --ignore=tests/providers/test_ssn.py

%endif

%files -n python3-%{srcname}
%license LICENSE.txt
%{_bindir}/faker
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/Faker-%{version}-py*.egg-info

%files doc
%license LICENSE.txt
%doc README.rst CHANGELOG.md CONTRIBUTING.rst RELEASE_PROCESS.rst docs/*.rst

%changelog
* Fri May 31 2024 Shuo Wang <abushwang@tencent.com> - 18.11.1-2
- enable %check

* Wed Sep 27 2023 Wang Guodong <gordonwwang@tencent.com> - 18.11.1-1
- Upgrade to version 18.11.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 14.2.1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 14.2.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 14.2.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 14.2.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 22 2022 cunshunxia <cunshunxia@tencent.com> - 14.2.1-1
- initial build
